TRACE_SIGNAL_GENERAT(9)

NAME
trace_signal_generate - called when a signal is generated

SYNOPSIS

void trace_signal_generate(int sig, struct siginfo * info, struct task_struct * task, int group, int result);

ARGUMENTS

sig
    signal number

info
    pointer to struct siginfo

task
    pointer to struct task_struct

group
    shared or private

result
    TRACE_SIGNAL_*

DESCRIPTION

Current process sends a 'sig' signal to 'task' process with 'info' siginfo. If 'info' is SEND_SIG_NOINFO or SEND_SIG_PRIV, 'info' is not a pointer and you can't access its field. Instead, SEND_SIG_NOINFO means that si_code is SI_USER, and SEND_SIG_PRIV means that si_code is SI_KERNEL.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT